{ pkgs, ... }:

{
  programs.bash.enable = true;
  programs.fish = {
    enable = true;
    plugins = [
      {
        name = "fisher";
        src = pkgs.fetchFromGitHub {
          owner = "jorgebucaran";
          repo = "fisher";
          rev = "4.4.5";
          sha256 = "0y87w6gdr56808fjc3xpidqrc27cj7cr0kp9d5ca6v3y05a3bgdd";
        };
      }
    ];
  };

  home.file.".bashrc".source = lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/.dotfiles/.bashrc"
  home.file.".bash_profile".source = lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/.dotfiles/.bash_profile"
  home.file.".profile".source = lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/.dotfiles/.profile"
  xdg.configFile."fish" = {
    source = config.lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/.dotfiles/.config/fish";
  };

  home.packages = [
    pkgs.lsd
    pkgs.bat
    pkgs.zoxide
    (pkgs.stdenv.mkDerivation {
      pname = "catppuccin-fish";
      version = "1.0.0";
      buildInputs = [ pkgs.fish ];
      installPhase = ''
        fisher install catppuccin/fish
        fish_config theme save "Catppuccin Mocha"
      ''
    })
  ];
}

